<?php

// Jeśli nie ma łańcucha znaków, nie można znaleźć przepisu
$drink = $_REQUEST['drink'];
if(empty($drink)) {
    echo "<title>Brak nazwy drinka</title>";
} else {
    // Usuwanie odstępów z początku i końca szukanej nazwy
    $search = trim($drink);
    switch($search) {
      case "TEA" :
         $result = "<title>Gorąca herbata</title>" . 
                   "<ingredient>liście herbaty</ingredient>" .
                   "<instruction>Zagotuj wodę. Zalej nią liście herbaty. " .
                   "Parz pięć minut. Po odcedzeniu można podawać.</instruction>"; 
         break;
      case "APPLETINI" :
         $result = "<title>Appletini</title>" .
                   "<ingredient>30 ml wódki</ingredient>" .
                   "<ingredient>15 ml Sour Apple Pucker lub innego sznapsa " .  
                   "jabłkowego</ingredient>" .
                   "<instruction>Wymieszaj sznapsa z wódką w szklance z lodem. " .
                   "Przelej do kieliszka do martini. " .
                   "Udekoruj plasterkiem jabłka lub rodzynkami.</instruction>";
         break;
      case "NONCHAMP" :
         $result = "<title>Szampan bezalkoholowy</title>" .
                   "<ingredient>960 ml wody sodowej</ingredient>" . 
                   "<ingredient>360 zmrożonego koncentratu z białych " .
                   "winogron</ingredient>" .
                   "<instruction>Wymieszaj wodę sodową" .
                   " z sokiem z białych winogron.</instruction>";
         break;
      case "SWMPMARGARITA" :
         $result = "<title>Swamp Margarita</title>" .
                   "<ingredient>45 ml dobrej tequili</ingredient>" .
                   "<ingredient>22 ml Cointreau</ingredient>" .
                   "<ingredient>22 ml Grand Marnier</ingredient>" . 
                   "<ingredient>15 ml soku cytrynowego</ingredient>" .
                   "<ingredient>60 ml sour mix</ingredient>" . 
                   "<ingredient>kilka zielonych oliwek</ingredient>" .
                   "<instruction>Wymieszaj wszystkie składniki. Schładzaj przez " .
                   "godzinę. Wrzuć na dno wysokiej szklanki kilka zielonych oliwek. " .
                   "Wlej margeritę na oliwki. Po dziesięciu minutach można podawać." . 
                   "</instruction>";
         break;
      case "LEMON" :
         $result = "<title>Kropla cytryny</title>" . 
                   "<ingredient>30 ml wódki cytrynowej</ingredient>" .
                   "<ingredient>30 ml soku cytrynowego</ingredient>" . 
                   "<ingredient>łyżeczka cukru</ingredient>" . 
                   "<instruction>Wymieszaj z lodem, " .
                   "odcedź i podawaj.</instruction>";
         break;
      default :
         $result = "<title>Nie znaleziono przepisu</title>";
         break;
      }

     $result = '<?xml version="1.0" encoding="UTF-8" ?>' .
               "<recipe>" . $result . "</recipe>";

    header("Content-Type: text/xml; charset=UTF-8");

    echo $result;

}
?>
